Default theme image is broken in about:addons

VERIFIED FIXED in Firefox 61

Status

()

defect
VERIFIED FIXED
Last year
9 months ago

People

(Reporter: levente.sacal, Assigned: ntim)

Tracking

({regression})

Firefox 61
Firefox 62
ARM
Android
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox59 unaffected, firefox60 unaffected, firefox61+ verified, firefox62+ verified)

Details

Attachments

(2 attachments)

Device(s):
 -  Sony Xperia Z5(Android 6.0.1);

Build(s):
 - Nightly 61.0a1 (2018-04-25);

Steps to reproduce:
 1. Go to about:addons
  

Expected result:
Default theme image appears correctly.


Actual result:
The Default theme image is broken.


Notes:
The Default theme does not appear on Beta 60.0b15 or Release 59.0.2 in about:addons.
tracking-fennec: --- → ?
I just noticed this. Still true for Nightly 62.
Summary: Default them image is broken in about:addons → Default theme image is broken in about:addons
Regression range:

Last good build: 9b20ccf (2018-04-24 02:35:20.380000)
First bad build: 6bb733797 (2018-04-24 03:22:33.203000)
Pushlog: https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=9b20ccf5448b55feef48f9830268b7acf53eac75&tochange=6bb7337970f19723f9ba34a682b4682c53863e5a
Yikes. Tim, this looks like it's possibly fallout from your commit in that range? Does something in /mobile need the same treatment that /browser and /toolkit got?
Blocks: 1372694
Flags: needinfo?(ntim.bugs)
Assignee: nobody → ntim.bugs
Flags: needinfo?(ntim.bugs)
Comment on attachment 8983185 [details]
Bug 1457078 - Package default theme icon on Android.

https://reviewboard.mozilla.org/r/249036/#review255234

tbh, I'm not sure how this file is used but the change seems reasonable: if it works for you, it works for me.
Attachment #8983185 - Flags: review?(michael.l.comella) → review+
Pushed by ntim.bugs@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/fc040acc00af
Package default theme icon on Android. r=mcomella
Backed out changeset fc040acc00af (bug 1457078) for build bustage. CLOSED TREE

Log:
https://treeherder.mozilla.org/logviewer.html#?job_id=181795088&repo=autoland&lineNumber=1297

RuntimeError:   % content mozapps %content/mozapps/
[task 2018-06-04T21:41:29.046Z] 21:41:29     INFO -  *** Fix above errors and then restart with\
[task 2018-06-04T21:41:29.047Z] 21:41:29     INFO -                 "/usr/bin/make -f client.mk build"
[task 2018-06-04T21:41:29.047Z] 21:41:29     INFO -  client.mk:123: recipe for target 'configure' failed
[task 2018-06-04T21:41:29.047Z] 21:41:29     INFO -  make: *** [configure] Error 1
[task 2018-06-04T21:41:29.112Z] 21:41:29    ERROR - Return code: 2
[task 2018-06-04T21:41:29.112Z] 21:41:29  WARNING - setting return code to 2
[task 2018-06-04T21:41:29.112Z] 21:41:29    FATAL - 'mach build -v' did not run successfully. Please check log for errors.
[task 2018-06-04T21:41:29.112Z] 21:41:29    FATAL - Running post_fatal callback...
[task 2018-06-04T21:41:29.113Z] 21:41:29    FATAL - Exiting -1
[task 2018-06-04T21:41:29.113Z] 21:41:29     INFO - [mozharness: 2018-06-04 21:41:29.113154Z] Finished build step (failed)
[task 2018-06-04T21:41:29.113Z] 21:41:29     INFO - Running post-run listener: _summarize
[task 2018-06-04T21:41:29.113Z] 21:41:29    ERROR - # TBPL FAILURE #
[task 2018-06-04T21:41:29.113Z] 21:41:29     INFO - [mozharness: 2018-06-04 21:41:29.113486Z] FxDesktopBuild summary:
[task 2018-06-04T21:41:29.113Z] 21:41:29    ERROR - # TBPL FAILURE #

Push with failures:
https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=fc040acc00af17b8d8101090739867461f4d843b&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-classifiedState=unclassified

Backout:
https://hg.mozilla.org/integration/autoland/rev/2b784df7a995407360ebd8b2d0c07903d31deb64
Flags: needinfo?(ntim.bugs)
Pushed by ntim.bugs@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/df3e0250b275
Package default theme icon on Android. r=mcomella
Flags: needinfo?(ntim.bugs)
https://hg.mozilla.org/mozilla-central/rev/df3e0250b275
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → FIXED
Target Milestone: --- → Firefox 62
I was able to reproduce this bug and can confirm that the latest Fennec nightly works as expected. Thanks for the fix, Tim! Please request Beta approval on it when you get a chance, I've confirmed that it grafts cleanly as-landed.
Status: RESOLVED → VERIFIED
Flags: needinfo?(ntim.bugs)
Comment on attachment 8983185 [details]
Bug 1457078 - Package default theme icon on Android.

Approval Request Comment
[Feature/Bug causing the regression]: removal of heavyweight themes
[User impact if declined]: No default theme icon on Android
[Is this code covered by automated tests?]: no
[Has the fix been verified in Nightly?]: yes
[Needs manual test from QE? If yes, steps to reproduce]: 
[List of other uplifts needed for the feature/fix]: n/a
[Is the change risky?]: low risk
[Why is the change risky/not risky?]: makes sure the relevant icon is packaged on android
[String changes made/needed]: n/a
Flags: needinfo?(ntim.bugs)
Attachment #8983185 - Flags: approval-mozilla-beta?
Comment on attachment 8983185 [details]
Bug 1457078 - Package default theme icon on Android.

Fixes a broken icon in a pretty prominent UI location. Verified on Nightly. Approved for 61.0b13 (or b12 if I end up creating one for Fennec later this week).
Attachment #8983185 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
Verified as fixed in Nightly 61.0b12 on Google Pixel C (Android 8.0.0)
tracking-fennec: ? → ---
Severity: minor → normal
You need to log in before you can comment on or make changes to this bug.